From: [email-masked]
Date: Tue, 26 Aug 2008 21:17:25 -0400

Looks pretty good.

At the (early) time we got Multics, process creation
was indeed quite expensive (I think several minutes)
probably because of the dynamic linking--every reference
to something in another segment took a while.  This
all continuously improved, and it was much cheaper later.
Still, the earliest version of the shell, which had
planned to start a new process for each command,
was redone to work all within a single process and
to use a single stack.

Incidentally, I had no exposure to Genie (Ken did, at
Berkeley, likewise QED, another import).

Also incidentally, even PDP-7 Unix, once it got processes at all,
supported an arbitrary number.  Because there were two
terminals, two was the number that were created at boot-up.

Your example of I/O redirection in early  Multics is correct,
but the real lesson has to do with notation-- > and < would
have been possible if someone had thought to put it in the
shell.  Of course the whole thing got easier once the
process-per-command thing went in, because there was no
need to unwind the redirection.

  Dennis